Bug 1044441 - xauth doesn't transition to xauth_t
Summary: xauth doesn't transition to xauth_t
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-18 10:35 UTC by Pierre Ossman
Modified: 2014-01-07 06:59 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-19 20:37:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Pierre Ossman 2013-12-18 10:35:55 UTC
Seen on Fedora 19 and Fedora 20:

$ xauth &
[1] 14712
Using authority file /run/gdm/auth-for-ossman-HdenCT/database
xauth> 
[1]+  Stopped                 xauth

$ ps axZ | grep xauth
unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 14712 pts/2 T   0:00 xauth

$ ls -Z /bin/xauth 
-rwxr-xr-x. root root system_u:object_r:xauth_exec_t:s0 /bin/xauth

Comment 1 Daniel Walsh 2013-12-19 20:37:23 UTC
We removed the transition from unconfined_t to many domains.

Comment 2 Pierre Ossman 2013-12-20 06:18:04 UTC
Hmm... Ok. This does make it difficult to write file context globs though. The Xauthority file for different users will have different contexts depending on which context the user is allowed to use. Maybe xauth_home_t and such need to go away?

Comment 3 Miroslav Grepl 2013-12-20 09:33:35 UTC
The reason why we could remove these transitions is the fact we have "File Name Transitions". So for example

$ sesearch -T |grep \".Xauthority

Comment 4 Pierre Ossman 2013-12-20 10:32:40 UTC
Ah, I see. Thanks. I'll have to look at the current policy and see how to apply similar changes to our policy module.

Comment 5 Miroslav Grepl 2014-01-07 06:59:29 UTC
If something let me know. We can help you.


Note You need to log in before you can comment on or make changes to this bug.